# Note that this is NOT a relocatable package
%define ver	0.1.2
%define RELEASE	1
%define rel	%{?CUSTOM_RELEASE} %{!?CUSTOM_RELEASE:%RELEASE}
%define prefix	/usr

Summary: Library with set of mesh loaders.
Name: libmorph
Version: %ver
Release: %rel
Copyright: LGPL
Group: X11/Libraries
Source: http://wine.sexcity.pl/morpheus/libmorph-%{ver}.tar.gz
BuildRoot: /var/tmp/libmorph-root
Packager: Kuba Winnicki <bw@sexcity.pl>

URL: http://wine.sexcity.pl/morpheus/
Prereq: /sbin/install-info
Docdir:%{prefix}/doc

%description

A library that provides loaders for various popular formats of meshes (3d
modeler object files). The meshes are stored in memory in structures and arrays
easily accessible via 3D rendering API's like OpenGL[TM].

%package devel
Summary: Headers needed to develop libmorph applications
Group: X11/libraries
Requires: libmorph

%description devel
Headers needed to develop libmorph applications.

%changelog

* Fri Nov  5 1999 Kuba Winnicki <bw@sexcity.pl>

- Started the changelog.

%prep
%setup

%build
# Needed for snapshot releases.
%ifarch alpha
  MYARCH_FLAGS="--host=alpha-redhat-linux"
%endif

if [ ! -f configure ]; then
  CFLAGS="$RPM_OPT_FLAGS" ./autogen.sh $MYARCH_FLAGS --prefix=%prefix --localstatedir=/var/lib --sysconfdir=/etc
else
  CFLAGS="$RPM_OPT_FLAGS" ./configure $MYARCH_FLAGS -prefix=%prefix --localstatedir=/var/lib --sysconfdir=/etc
fi

if [ "$SMP" != "" ]; then
  (make "MAKE=make -k -j $SMP"; exit 0)
  make
else
  make
fi

%install
rm -rf $RPM_BUILD_ROOT

make prefix=$RPM_BUILD_ROOT%{prefix} install

rm -rf $RPM_BUILD_ROOT/%{prefix}/include/libmorph

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-, root, root)

%doc AUTHORS COPYING ChangeLog NEWS README TODO

%{prefix}/lib/lib*.so.*
%{prefix}/lib/morph/loaders/lib*.so

%files devel
%defattr(-, root, root)

%{prefix}/lib/*a
%{prefix}/lib/*.sh
%{prefix}/include/*

